Subject: bug#70791: 30.0.50; edebug-remove-instrumentation doesn't see instrumented functions

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 May 2024 19:22:55 -0400

>> Side note: as it is currently implemented,
>> `edebug-remove-instrumentation` cannot work reliably (and the way it
>> discovers the set of functions that can be un-instrumented is quite
>> wasteful, tho it seems it does the job), so I recommend you `C-M-x` to
>> redefine the function instead.
>
> One important use case is the ability to deinstrument all functions at
> once in a convenient way, so I think we at least want to keep some kind
> of deinstrumenting function.

But given that it's a "best effort" kind of work, I recommend to stay
away from it when possible (until a more reliable implementation is
provided, but that may be a long time, because it's not obvious to me
how to do it).

        Stefan